iPluginConfig Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iPluginConfig Struct Reference
Utilities

Interface to a configurator object. More...

`#include <iutil/pluginconfig.h>`

Inheritance diagram for iPluginConfig:

List of all members.

## Public Member Functions
virtual bool | GetOption (int index, csVariant *value)=0
| Get the value of the option of index idx.
virtual bool | GetOptionDescription (int index, csOptionDescription *option)=0
| Get the description of the option of index idx.
virtual bool | SetOption (int index, csVariant *value)=0
| Set the value of the option of index idx.

## Detailed Description

Interface to a configurator object.

If a SCF module has an object implementing this interface then this can be used to query or set configuration options.

Main creators of instances implementing this interface:

- Some plugins implement this.

Main ways to get pointers to this interface:

- scfQueryInterface() from a plugin instance.

Main users of this interface:

- csCommandLineHelper
- csPluginManager

Definition at line 221 of file pluginconfig.h.

## Member Function Documentation

virtual bool iPluginConfig::GetOption | ( | int | index,
|  | csVariant * | value
| ) |  | `[pure virtual]`

Get the value of the option of index idx.

Return false if this option does not exist, true otherwise.

Parameters:

  index | The index of the option
  value | A variant where to store the value of the option

Implemented in csGraphics2D.

virtual bool iPluginConfig::GetOptionDescription | ( | int | index,
|  | csOptionDescription * | option
| ) |  | `[pure virtual]`

Get the description of the option of index idx.

Return false if this option does not exist, true otherwise.

Parameters:

  index | The index of the option
  option | The returned description of the option

Implemented in csGraphics2D.

virtual bool iPluginConfig::SetOption | ( | int | index,
|  | csVariant * | value
| ) |  | `[pure virtual]`

Set the value of the option of index idx.

Return false if this option does not exist, true otherwise.

Parameters:

  index | The index of the option
  value | The new value to be set for the option

Implemented in csGraphics2D.

The documentation for this struct was generated from the following file:

- iutil/pluginconfig.h